package router

import (
	"docDemo/api"
	"github.com/gin-gonic/gin"
)

// InitRouter 初始化路由
func InitRouter(app *gin.RouterGroup) {
	// 开放接口
	openRouter(app.Group("/open"))
}

// 内部开放接口
func openRouter(g *gin.RouterGroup) {
	g.POST("/scale/upload", api.ScaleApi().AddScale) // 获取单个量表信息
	g.GET("/test", api.ScaleApi().Test)
}
